Bug 18605 - Remove TRUNCATE from C4/HoldsQueue.pm
Summary: Remove TRUNCATE from C4/HoldsQueue.pm
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-15 08:30 UTC by Marcel de Rooy
Modified: 2017-08-24 13:55 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18605: Remove TRUNCATE from C4/HoldsQueue.pm (2.65 KB, patch)
2017-05-15 08:47 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18605: Remove TRUNCATE from C4/HoldsQueue.pm (2.69 KB, patch)
2017-06-30 02:40 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18605: Remove TRUNCATE from C4/HoldsQueue.pm (2.72 KB, patch)
2017-07-21 11:49 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-05-15 08:30:39 UTC
In sub UpdateTransportCostMatrix.
Add a trivial test.
Comment 1 Marcel de Rooy 2017-05-15 08:47:43 UTC
Created attachment 63462 [details] [review]
Bug 18605: Remove TRUNCATE from C4/HoldsQueue.pm

Replaces TRUNCATE by DELETE, since truncate implicitly commits. We don't
need to do that here. (Would complicate testing it too.)
Fixes typo disablig.
Add a simple test to HoldsQueue.t.

Test plan:
Run t/db_dependent/HoldsQueue.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 M. Tompsett 2017-06-30 02:40:01 UTC
Created attachment 64740 [details] [review]
[SIGNED-OFF] Bug 18605: Remove TRUNCATE from C4/HoldsQueue.pm

Replaces TRUNCATE by DELETE, since truncate implicitly commits. We don't
need to do that here. (Would complicate testing it too.)
Fixes typo disablig.
Add a simple test to HoldsQueue.t.

Test plan:
Run t/db_dependent/HoldsQueue.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Marcel de Rooy 2017-06-30 05:29:22 UTC
(In reply to M. Tompsett from comment #2)
> Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Thx
Comment 4 Nick Clemens 2017-07-21 11:49:02 UTC
Created attachment 65174 [details] [review]
Bug 18605: Remove TRUNCATE from C4/HoldsQueue.pm

Replaces TRUNCATE by DELETE, since truncate implicitly commits. We don't
need to do that here. (Would complicate testing it too.)
Fixes typo disablig.
Add a simple test to HoldsQueue.t.

Test plan:
Run t/db_dependent/HoldsQueue.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2017-07-24 19:03:52 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-07-31 08:01:43 UTC
Pushed to 17.05.x, will be in 17.05.03.
Comment 7 Katrin Fischer 2017-08-01 05:44:02 UTC
This patch has been pushed to 16.11.x and will be in 16.11.11.
Comment 8 Mason James 2017-08-24 13:55:52 UTC
Pushed to 16.05.x, for 16.05.16 release